# StationCargoList Class Reference

CargoList that is used for stations. More...

`#include <cargopacket.h>`

Inheritance diagram for StationCargoList:

## Static Public Member Functions
static bool | AreMergable (const CargoPacket *cp1, const CargoPacket *cp2)
| Are two the two CargoPackets mergeable in the context of a list of CargoPackets for a Vehicle?
## Friends
class | CargoList< StationCargoList >
| The super class ought to know what it's doing.
struct SaveLoad * | GetGoodsDesc ()
| The stations, via GoodsEntry, have a CargoList.

## Detailed Description

CargoList that is used for stations.

Definition at line 391 of file cargopacket.h.

## Member Function Documentation

static bool StationCargoList::AreMergable | ( | const CargoPacket * | cp1,
|  | const CargoPacket * | cp2 |
| ) |  |  | `[inline, static]`

Are two the two CargoPackets mergeable in the context of a list of CargoPackets for a Vehicle?

Parameters:

  | cp1 | the first CargoPacket
  | cp2 | the second CargoPacket

Returns:
  true if they are mergeable

Definition at line 405 of file cargopacket.h.

References CargoPacket::days_in_transit, CargoPacket::source_id, CargoPacket::source_type, and CargoPacket::source_xy.

## Friends And Related Function Documentation

struct SaveLoad* GetGoodsDesc | ( |  | ) | `[friend]`

The stations, via GoodsEntry, have a CargoList.

Returns:
  the saveload description for GoodsEntry.

Definition at line 225 of file station_sl.cpp.

The documentation for this class was generated from the following file:

- src/cargopacket.h